summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2022-09-25 10:39:41 +0200
committerHans de Graaff <graaff@gentoo.org>2022-09-25 10:43:07 +0200
commita1952f575314f03842ce2db5dd8c1d31323db847 (patch)
tree880898b9c9257b2348d547ce856e14d512d1d4f4 /eclass/ruby-fakegem.eclass
parentdev-ruby/sprockets: enable ruby31 and disable ruby26 (diff)
downloadgentoo-a1952f575314f03842ce2db5dd8c1d31323db847.tar.gz
gentoo-a1952f575314f03842ce2db5dd8c1d31323db847.tar.bz2
gentoo-a1952f575314f03842ce2db5dd8c1d31323db847.zip
eclass/ruby-fakegem.eclass: turn off minitest plugins
By default dev-ruby/minitest loads all plugins that are installed in the system. Most of these are harmless, but some cause issues with dependencies and versions. None of these plugins are needed for tests to pass so we can avoid issues by not loading them. Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'eclass/ruby-fakegem.eclass')
-rw-r--r--eclass/ruby-fakegem.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/ruby-fakegem.eclass b/eclass/ruby-fakegem.eclass
index 6f561f4f6a2f..8cf5dd70f864 100644
--- a/eclass/ruby-fakegem.eclass
+++ b/eclass/ruby-fakegem.eclass
@@ -552,7 +552,7 @@ each_fakegem_test() {
case ${RUBY_FAKEGEM_RECIPE_TEST} in
rake)
- ${RUBY} --disable=did_you_mean -S rake ${RUBY_FAKEGEM_TASK_TEST} || die "tests failed"
+ MT_NO_PLUGINS=true ${RUBY} --disable=did_you_mean -S rake ${RUBY_FAKEGEM_TASK_TEST} || die "tests failed"
;;
rspec)
RSPEC_VERSION=2 ruby-ng_rspec